Return Pincode Serviceability API:
Use this API to get pincode serviceability on the RapidShyp platform.
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/serviceabilty_check |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl:
curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/serviceabilty_check' \
--header 'rapidshyp-token: e779a4*************8b60ba5f09ecd579fa1f34b64805e' \
--header 'Content-Type: application/json' \
--data '{
"Pickup_pincode": "110068",
"Delivery_pincode": "110038", "cod": true, "total_order_value": 2000,
"weight": 1
"is_return": true
}'
| Request Parameters | Data Type | Required | Remark | Validation |
|---|---|---|---|---|
| Pickup_pincode | String | Mandatory | Postcode from where the order will be picked | 6-digit valid pincode |
| Delivery_pincode | String | Mandatory | Postcode where the order will be delivered | 6-digit valid pincode |
| cod | Boolean | Non-mandatory | True in case of COD order and false in case of prepaid order | Non-mandatory for return |
| total_order_value | Float | Mandatory | The price of the order shipment in rupees | |
| weight | Float | Mandatory | The weight of shipment in kgs | |
| is_return | Boolean | Mandatory | For third party this field is mandatory |
Response:
JSON
{
"status": true,
"remark": "Success",
"serviceable_courier_list": [
{
"courier_code": "2010",
"courier_name": "Delhivery Reverse",
"parent_courier_name": "Delhivery",
"cutoff_time": "14:00",
"freight_mode": "Surface",
"max_weight": 5000.0,
"min_weight": 1.0,
"total_freight": 188.8,
"edd": null,
"epd": "28-07-2025"
},
{
"courier_code": "2013",
"courier_name": "Delhivery Reverse 2 Kg",
"parent_courier_name": "Delhivery",
"cutoff_time": "14:00",
"freight_mode": "Surface",
"max_weight": 9999.0,
"min_weight": 1.0,
"total_freight": 260.19,
"edd": null,
"epd": "05-08-2025"
}
]
}